Bug 283874 - Enable pager for single dektop
Summary: Enable pager for single dektop
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-pager (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 279025 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-10-12 17:38 UTC by Leonidas Arvanitis
Modified: 2011-12-28 06:59 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leonidas Arvanitis 2011-10-12 17:38:27 UTC
Version:           unspecified (using KDE 4.7.1) 
OS:                Linux

I would like to kindly ask you to add a GUI or at least rc setting so that we can _optionally_ re-enable the desktop pager plasmoid even for single desktop setups.

In my case, the new auto-hiding feature is a usability regression as I used to depend on the pager as a desktop "preview".
It used to be very useful since I have a twin-view setup with the secondary monitor turned off most of the time, while bug(s) cause new windows to open there sometimes. The pager would help me notice those windows and also drag them to the primary monitor without having to reach for the secondary monitor's on/off switch.

I believe this small change would be useful to others too.

Reproducible: Always



Expected Results:  
There should be an option in the plasmoid settings to keep it visible even when there is only one desktop.
Comment 1 Shaun Reich 2011-12-04 17:40:42 UTC
*** Bug 279025 has been marked as a duplicate of this bug. ***
Comment 2 Shaun Reich 2011-12-04 17:46:37 UTC
Just discovered this now...it's present on master (4.8-pre) as well as 4.7.

It's not a wish or a feature, it's a bug that involves the following:

* If you have only 1 virtual desktop enabled then the pager will be addable, yet invisible. You can add 10 of them and it will still reserve space in the panel or whereever, yet you are unable to remove them.

* Changing the VD's to > 1 makes all added ones instantly visible.

Problem must lie in the pager widget not checking for that case, I presume.

I'll see if I can fix this when I get some time in < a month, unless somebody else fixes it sooner.
Comment 3 Shaun Reich 2011-12-28 06:43:15 UTC
Git commit 9bee3f3fbf3f4b91caf04ede5bfe1d1aec41f66e by Shaun Reich.
Committed on 28/12/2011 at 03:32.
Pushed by sreich into branch 'master'.

Revert "show/hide pager when there is many/1 desktops"

Fixes bug where setting VD's == 1 results in an invisible, still there,
still taking up space applet with no ability to get to applet settings
or even remove it.

Only way to get it back would be going into Virtual Desktop kcm and
upping the count.

The behavior with that commit ends up creating what seems like a bug.

I'm sure it sounded good in theory, but in practice it ends up being
confusing and bug-like.
Related: bug 283874
CCMAIL:aseigo@.kde.org

This reverts commit c92ccc4dd37ce6d2c1e53f146c1acfb432472f78.

M  +0    -12   plasma/desktop/applets/pager/pager.cpp
M  +0    -1    plasma/desktop/applets/pager/pager.h

http://commits.kde.org/kde-workspace/9bee3f3fbf3f4b91caf04ede5bfe1d1aec41f66e
Comment 4 Shaun Reich 2011-12-28 06:44:28 UTC
Git commit 43d6c2349215d8acade36578740fb6aa6397ce56 by Shaun Reich.
Committed on 28/12/2011 at 03:32.
Pushed by sreich into branch 'origin/KDE/4.8'.

Revert "show/hide pager when there is many/1 desktops"

Fixes bug where setting VD's == 1 results in an invisible, still there,
still taking up space applet with no ability to get to applet settings
or even remove it.

Only way to get it back would be going into Virtual Desktop kcm and
upping the count.

The behavior with that commit ends up creating what seems like a bug.

I'm sure it sounded good in theory, but in practice it ends up being
confusing and bug-like.
Related: bug 283874
CCMAIL:aseigo@.kde.org

This reverts commit c92ccc4dd37ce6d2c1e53f146c1acfb432472f78.
(cherry picked from commit 91e4e257fb6d9313f7e7826623ec6ef486d71b08)

Backport from master.

M  +0    -12   plasma/desktop/applets/pager/pager.cpp
M  +0    -1    plasma/desktop/applets/pager/pager.h

http://commits.kde.org/kde-workspace/43d6c2349215d8acade36578740fb6aa6397ce56
Comment 5 Shaun Reich 2011-12-28 06:59:54 UTC
Git commit 5b6f9ae4337fb5486b80d36633cee14b58ac2fe1 by Shaun Reich.
Committed on 28/12/2011 at 03:32.
Pushed by sreich into branch 'KDE/4.8'.

Revert "show/hide pager when there is many/1 desktops"

Fixes bug where setting VD's == 1 results in an invisible, still there,
still taking up space applet with no ability to get to applet settings
or even remove it.

Only way to get it back would be going into Virtual Desktop kcm and
upping the count.

The behavior with that commit ends up creating what seems like a bug.

I'm sure it sounded good in theory, but in practice it ends up being
confusing and bug-like.
Related: bug 283874
CCMAIL:aseigo@.kde.org

This reverts commit c92ccc4dd37ce6d2c1e53f146c1acfb432472f78.
(cherry picked from commit 9bee3f3fbf3f4b91caf04ede5bfe1d1aec41f66e)

One of these days I'll be good at git ;p

M  +0    -12   plasma/desktop/applets/pager/pager.cpp
M  +0    -1    plasma/desktop/applets/pager/pager.h

http://commits.kde.org/kde-workspace/5b6f9ae4337fb5486b80d36633cee14b58ac2fe1